Modular RPMs do not allow downgrades between Red Hat Enterprise Linux 8.3 and 8.2

Solution Verified - Updated -

Issue

  • We updated our Red Hat Enterprise Linux 8.2 system to Red Hat Enterprise Linux 8.3 and encountered difficulties following. When we tried to issue a yum history undo, the downgrade failed with errors like:
No package perl-Data-Dump-1.23-7.el8.noarch available.
No package perl-Digest-HMAC-1.03-17.el8.noarch available.
No package perl-Encode-Locale-1.05-9.el8.noarch available.
No package perl-File-Listing-6.04-17.el8.noarch available.
No package perl-HTML-Parser-3.72-14.el8.x86_64 available.
No package perl-HTML-Tagset-3.20-33.el8.noarch available.
No package perl-HTTP-Cookies-6.04-2.el8.noarch available.
No package perl-HTTP-Date-6.02-18.el8.noarch available.
No package perl-HTTP-Message-6.18-1.el8.noarch available.
No package perl-HTTP-Negotiate-6.01-19.el8.noarch available.
No package perl-IO-HTML-1.001-10.el8.noarch available.
No package perl-IO-Socket-SSL-2.066-4.el8.noarch available.
No package perl-LWP-MediaTypes-6.02-14.el8.noarch available.
No package perl-Mozilla-CA-20160104-7.el8.noarch available.
No package perl-NTLM-1.09-17.el8.noarch available.
No package perl-Net-HTTP-6.17-2.el8.noarch available.
No package perl-Net-SSLeay-1.88-1.el8.x86_64 available.
No package perl-TimeDate-1:2.30-13.el8.noarch available.
No package perl-Try-Tiny-0.30-2.el8.noarch available.
No package perl-WWW-RobotRules-6.02-18.el8.noarch available.
No package perl-libwww-perl-6.34-1.el8.noarch available.
Error: no package matched

Environment

  • Red Hat Enterprise Linux 8

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In